Create access invites
curl --request POST \
--url https://api.callaro.ai/api/v1/access-invites \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"role_key": "<string>",
"email": "<string>",
"expires_at": "<string>",
"scope_type": "<string>",
"scope_id": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
role_key: '<string>',
email: '<string>',
expires_at: '<string>',
scope_type: '<string>',
scope_id: '<string>'
})
};
fetch('https://api.callaro.ai/api/v1/access-invites', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.callaro.ai/api/v1/access-invites"
payload = {
"role_key": "<string>",
"email": "<string>",
"expires_at": "<string>",
"scope_type": "<string>",
"scope_id": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"data": {
"id": "<string>",
"email": "<string>",
"role_key": "<string>",
"scope_type": "<string>",
"scope_id": "<string>",
"status": "<string>",
"expires_at": "<string>",
"accepted_at": "<string>",
"metadata": {}
},
"message": "<string>",
"meta": {},
"request_id": "<string>"
}{
"error": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"details": {},
"errors": [
"<string>"
]
}{
"error": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"details": {},
"errors": [
"<string>"
]
}{
"error": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"details": {},
"errors": [
"<string>"
]
}{
"error": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"details": {},
"errors": [
"<string>"
]
}{
"error": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"details": {},
"errors": [
"<string>"
]
}Users
Create access invites
From api/v1/access_invites#create in voice_saas_api. Fields come from that action’s strong params / params usage.
POST
/
api
/
v1
/
access-invites
Create access invites
curl --request POST \
--url https://api.callaro.ai/api/v1/access-invites \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"role_key": "<string>",
"email": "<string>",
"expires_at": "<string>",
"scope_type": "<string>",
"scope_id": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
role_key: '<string>',
email: '<string>',
expires_at: '<string>',
scope_type: '<string>',
scope_id: '<string>'
})
};
fetch('https://api.callaro.ai/api/v1/access-invites', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.callaro.ai/api/v1/access-invites"
payload = {
"role_key": "<string>",
"email": "<string>",
"expires_at": "<string>",
"scope_type": "<string>",
"scope_id": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"data": {
"id": "<string>",
"email": "<string>",
"role_key": "<string>",
"scope_type": "<string>",
"scope_id": "<string>",
"status": "<string>",
"expires_at": "<string>",
"accepted_at": "<string>",
"metadata": {}
},
"message": "<string>",
"meta": {},
"request_id": "<string>"
}{
"error": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"details": {},
"errors": [
"<string>"
]
}{
"error": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"details": {},
"errors": [
"<string>"
]
}{
"error": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"details": {},
"errors": [
"<string>"
]
}{
"error": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"details": {},
"errors": [
"<string>"
]
}{
"error": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"details": {},
"errors": [
"<string>"
]
}Authorizations
bearerAuthtenantApiKey
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Optional tenant context selector for JWT/partner key callers.
Body
application/json
Was this page helpful?